/* \file xMemCpy.h
 * \brief: header file for templated memory operations
 */

#ifndef _XMEMCPY_H_
#define _XMEMCPY_H_

#include <cassert>

template <class T> 
T* xMemCpy(T* dest, const T* src, unsigned int size) {
  assert(dest); assert(src);
  for (int i=0; i<size;++i) 
    dest[i]=src[i];
  return dest;
};

#endif
